unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, ExtCtrls, TeeProcs, Chart, DBChart, QrTee, QuickRpt,
  TeeComma, StdCtrls, TeeEdit;

type
  TForm1 = class(TForm)
    QuickRep1: TQuickRep;
    QRBand1: TQRBand;
    QRDBChart1: TQRDBChart;
    QRChart1: TQRChart;
    Button1: TButton;
    Button2: TButton;
    procedure FormCreate(Sender: TObject);
    procedure QRDBChart1AfterDraw(Sender: TObject);
    procedure QRDBChart1BeforeDrawAxes(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Series;

procedure TForm1.Button1Click(Sender: TObject);
begin
  QuickRep1.Preview;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  with TChartPreviewer.Create(self) do
  begin
    Chart:=QRDBChart1;
    Execute;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  with QRDBChart1.AddSeries(TBarSeries) do FillSampleValues;
end;

procedure TForm1.QRDBChart1AfterDraw(Sender: TObject);
begin
  QRDBChart1.Canvas.Pen.Color:=clRed;
  QRDBChart1.Canvas.Line(100,200,200,300);
end;

procedure TForm1.QRDBChart1BeforeDrawAxes(Sender: TObject);
begin
//  ShowMessage(QRChart1.Name + #13#10 + QRDBChart1.Name);

  QRDBChart1.Canvas.Pen.Color:=clGreen;
  QRDBChart1.Canvas.Line(0,100,100,200);
end;

end.
